<div class="container">
  <as-split direction="vertical">
    <as-split-area [size]="40">

      <as-split direction="horizontal">
        <as-split-area [size]="70">
          <app-overview-window style="z-index: 10"></app-overview-window>
        </as-split-area>

        <as-split-area [size]="30">
          <div class="channel_header">
            Query
          </div>
          <div class="progress">
            <app-query-window></app-query-window>
          </div>
        </as-split-area>
      </as-split>

    </as-split-area>
    <as-split-area [size]="60">

      <as-split direction="horizontal">
        <as-split-area [size]="62">
          <div class="channel_header">
            Feedback
          </div>
          <div class="progress">
            <app-training-window></app-training-window>
          </div>
        </as-split-area>
        <as-split-area [size]="38">
          <div class="channel_header">
            Results
          </div>
          <div class="progress">
            <app-progress-view></app-progress-view>
          </div>
        </as-split-area>
      </as-split>

    </as-split-area>
  </as-split>
</div>
<div class="overlay" [class.show]="greyOut" *ngIf="greyOut"></div>
<div class="loading-progress" *ngIf="greyOut">
  <mat-spinner class="center" [diameter]="40"></mat-spinner>
  <div class="center">{{loadingText}}</div>
</div>

